{
	"name": "table/external/4d/product/product_field.json",
	"table_name": "product_field",
	"table_prefix": "prfi",
	"main_table": "product",
	"record_type": [""],
	"local_table": "keyword",
	"local_record_type": "",
	"table_number": 41,
	"field": [
		{
			"field_name": "change_id",
			"local_field": "modify_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 11
		},
		{
			"field_name": "creator_id",
			"local_field": "json_data.creator_id",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 12
		},
		{
			"field_name": "customer_project",
			"local_field": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 9
		},
		{
			"field_name": "firm_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"field_number": 6,
			"constraint": ["index"]
		},
		{
			"field_name": "header",
			"local_field": "title",
			"field_type": "varchar",
			"field_length": 30,
			"field_number": 2,
			"constraint": ["index"]
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text",
			"field_number": 7
		},
		{
			"field_name": "modifier_id",
			"local_field": "modify_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 13
		},
		{
			"field_name": "product_id",
			"local_field": "json_data.product_id",
			"field_type": "varchar",
			"field_length": 44,
			"field_number": 1,
			"constraint": ["index"]
		},
		{
			"field_name": "project_id",
			"local_field": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 10
		},
		{
			"field_name": "record_id",
			"local_field": "record_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 5,
			"constraint": ["unique"]
		},
		{
			"field_name": "transfer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 60,
			"field_number": 8,
			"constraint": ["index"]
		},
		{
			"field_name": "transfer_state",
			"local_field": "json_data.transfer_state",
			"field_type": "integer",
			"field_number": 14
		},
		{
			"field_name": "value",
			"local_field": "value",
			"field_type": "varchar",
			"field_length": 80,
			"field_number": 3
		},
		{
			"field_name": "work_id",
			"local_field": "json_data.work_id",
			"field_type": "varchar",
			"field_length": 30,
			"field_number": 4,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "work__position_num_id",
					"linked_table": "work"
				}
			],
			"nullable": true
		}
	]
}
